initial.sp {mgcv} | R Documentation

## Starting values for multiple smoothing parameter estimation

### Description

Finds initial smoothing parameter guesses for multiple smoothing parameter estimation. The idea is to find values such that the estimated degrees of freedom per penalized parameter should be well away from 0 and 1 for each penalized parameter, thus ensuring that the values are in a region of parameter space where the smoothing parameter estimation criterion is varying substantially with smoothing parameter value.

### Usage

    initial.sp(X,S,off,expensive=FALSE)

### Arguments

`X` | is the model matrix.
`S` | is a list of of penalty matrices. `S[[i]]` is the ith penalty matrix, but note that it is not stored as a full matrix, but rather as the smallest square matrix including all the non-zero elements of the penalty matrix. Element 1,1 of `S[[i]]` occupies element `off[i]`, `off[i]` of the ith penalty matrix. Each `S[[i]]` must be positive semi-definite.
`off` | is an array indicating the first parameter in the parameter vector that is penalized by the penalty involving `S[[i]]`.
`expensive` | if `TRUE` then the overall amount of smoothing is adjusted so that the average degrees of freedom per penalized parameter is exactly 0.5: this is numerically costly.

### Details

Basically uses a crude approximation to the estimated degrees of freedom per model coefficient, to try and find smoothing parameters which bound these e.d.f.'s away from 0 and 1.

Usually only called by `magic` and `gam`.

### Value

An array of initial smoothing parameter estimates.

### Author(s)

Simon N. Wood simon.wood@r-project.org

### See Also

`magic`, `gam.outer`, `gam`,

[Package mgcv version 1.4-1.1 Index]